<template>
    <div class="vendor-box">
        <div class="vendor-image">
            <!-- vendor pic -->
            <a href="#"><img src="/images/vendor1.jpeg" alt="wedding vendor" class="img-responsive"></a>
            <!-- <div class="feature-label"></div> -->
        </div>
        <div class="vendor-detail">
            <!-- vendor details -->
            <div class="caption">
                <!-- caption -->
                <h5><a href="#" class="title">Venue Vendor Title</a></h5>
                <p class="location"><i class="fa fa-map-marker"></i> TRM, Roysambu, Nairobi County</p>
               
                <div class="rating"> 
                    <i class="fa fa-star"></i> 
                    <i class="fa fa-star"></i> 
                    <i class="fa fa-star"></i> 
                    <i class="fa fa-star"></i> 
                    <i class="fa fa-star-o"></i> 
                    <span class="rating-count">(2)</span> 
                </div>
            </div>
        </div>
    </div>
</template>
<script setup>

</script>
<style scoped>
    .vendor-box {
        overflow: hidden;
        position: relative;
        border-radius: 8px;
    }
    .vendor-image {
        position: relative;
        overflow: hidden;
    }
    .vendor-image a:hover img {
        -webkit-transform: scale(1);
        transform: scale(1);
        opacity: 1;
    }
    .vendor-image img {
        -webkit-transform: scale(1.1);
        transform: scale(1.1);
        -webkit-transition: all .5s ease;
        transition: all .5s ease;
        opacity: .9;
    }
    .vendor-detail {
        padding: 0px;
        border: 1px solid #e9e6e0;
        border-bottom-left-radius: 8px;
        border-bottom-right-radius: 8px;
        border-top: transparent;
        background-color: #fff;
    }
    .vendor-detail .caption {
        padding: 10px 20px;
    }
    .img-responsive {
        display: block;
        max-width: 100%;
        height: auto;
    }
    a:hover {
        color: var(--bg-pink) !important;
    }
    .rating i {
        color: orange;
    }
</style>